package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 常见错误监测对象 trs_sensitive_results
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public class TrsResults extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 所在页 */
    @Excel(name = "所在页")
    private String page;

    /** 错误词 */
    @Excel(name = "错误词")
    private String wrongWord;

    /** 正确词 */
    @Excel(name = "正确词")
    private String correctWord;

    /** 错误类型 */
    @Excel(name = "错误类型")
    private String errorType;

    /** 上下文 */
    @Excel(name = "上下文")
    private String context;


    @Excel(name = "版本号")
    private String version;

    @Excel(name = "识别码")
    private String datakey;
    public String getDatakey() {
        return datakey;
    }

    public void setDatakey(String datakey) {
        this.datakey = datakey;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public String getSitename() {
        return sitename;
    }

    public void setSitename(String sitename) {
        this.sitename = sitename;
    }

    @Excel(name = "站点名称")
    private String sitename;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;
    public void setTime(Date time)
    {
        this.time = time;
    }

    public Date getTime()
    {
        return time;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPage(String page)
    {
        this.page = page;
    }

    public String getPage()
    {
        return page;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setCorrectWord(String correctWord) 
    {
        this.correctWord = correctWord;
    }

    public String getCorrectWord() 
    {
        return correctWord;
    }

    public void setErrorType(String errorType) 
    {
        this.errorType = errorType;
    }

    public String getErrorType() 
    {
        return errorType;
    }

    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("page", getPage())
            .append("wrongWord", getWrongWord())
            .append("correctWord", getCorrectWord())
            .append("errorType", getErrorType())
            .append("context", getContext())
            .toString();
    }
}
